Support » Plugin: YOP Poll » Translation

  • Resolved jiipsijack

    (@jiipsijack)


    Hi there, I have made some changes to the yop_poll.po file to change some of the error messages (when unregistered users try to vote for example) but the changes aren’t appearing on the site. Is there something I need to do to activate the language file? Sorry if this has been answered elsewhere but I’ve searched this forum and am at a loss.
    Thanks in advance.

    https://wordpress.org/plugins/yop-poll/

Viewing 4 replies - 1 through 4 (of 4 total)
  • Plugin Author YOP

    (@yourownprogrammer)

    Hi jiipsijack,

    Please tell us exactly what are the messages you want to change.

    Regards,

    YOP Team

    Hi there I would like to change the error message for when a non registered user tries to vote in a registered only poll from: “you are not allowed to vote” to “you must be logged in or registered to vote in this poll” Cheers.

    Plugin Author YOP

    (@yourownprogrammer)

    Hey jiipsijack,

    Edit inc/yop_poll_model.php and approximately on line 2795, in
    $this->error = __( ‘You are not allowed to vote!’, ‘yop_poll’ ); and replace You are not allowed to vote! with the message you want.

    To use the translations you have to install wpml first.

    Best wishes,

    YOP Team

    Cheers! That worked perfectly!

Viewing 4 replies - 1 through 4 (of 4 total)
  • The topic ‘Translation’ is closed to new replies.